MV(1)

NIMI
mv - move (rename) files

YLEISKATSAUS
mv [VALITSIN]... [-T] LÄHDE KOHDE
mv [VALITSIN]... LÄHDE... HAKEMISTO
mv [VALITSIN]... -t HAKEMISTO LÄHDE...

KUVAUS

Rename SOURCE to DEST, or move SOURCE(s) to DIRECTORY.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

--backup[=MENETELMÄ]
    varmuuskopioi jokainen olemassaoleva kohdetiedosto

-b  kuten --backup, mutta ilman argumenttia

--debug
    explain how a file is copied. Implies -v

--exchange
    exchange source and destination

-f, --force
    älä kysy ennen ylikirjoitusta

-i, --interactive
    kysy ennen ylikirjoitusta

-n, --no-clobber
    älä ylikirjoita olemassa olevaa tiedostoa

If you specify more than one of -i, -f, -n, only the final one takes effect.

--no-copy
    do not copy if renaming fails

--strip-trailing-slashes
    poista /-merkit jokaisen LÄHDEargumentin perästä

-S, --suffix=JÄLKILIITE
    syrjäytä tavanomainen varmuuskopion jälkiliite

-t, --target-directory=HAKEMISTO
    siirrä kaikki LÄHDEargumentit kohdeHAKEMISTOon

-T, --no-target-directory
    käsittele KOHDE normaalina tiedostona

--update[=UPDATE]
    control which existing files are updated; UPDATE={all,none,none-fail,older(default)}.

-u  equivalent to --update[=older]. See below

-v, --verbose
    selitä mitä tapahtuu

-Z, --context
    asettaa SELinux-suojauskontekstin määränpäähän tiedosto oletustyyppiin

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

UPDATE controls which existing files in the destination are replaced. 'all' is the default operation when an --update option is not specified, and results in all existing files in the destination being replaced. 'none' is like the --no-clobber option, in that no files in the destination are replaced, and skipped files do not induce a failure. 'none-fail' also ensures no files are replaced in the destination, but any skipped files are diagnosed and induce a failure. 'older' is the default operation when --update is specified, and results in files being replaced if they're older than the corresponding source file.

Varmuuskopion jälkiliite on ”~”, ellei muuta ole asetettu valitsimella --suffix tai ympäristömuuttujalla SIMPLE_BACKUP_SUFFIX. Versionhallintamenetelmän voi valita käyttäen valitsinta --backup tai ympäristömuuttujaa VERSION_CONTROL. Arvot ovat seuraavat:

none, off
    älä varmuuskopioi koskaan (vaikka --backup olisi annettu)

numbered, t
    tee numeroituja varmuuskopioita

existing, nil
    numeroituja jos sellaisia on jo olemassa, muuten yksinkertaisia

simple, never
    tee aina yksinkertaisia varmuuskopiota

TEKIJÄ
Kirjoittaneet Mike Parker, David MacKenzie ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2024 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
rename(2)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/mv>
tai saatavilla paikallisesti: info '(coreutils) mv invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jani Frilander <jani.frilander@mail.wwnet.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.